Name:           multisync
Version:        0.91.1
Release:        0.10.svn384%{?dist}
Summary:        Calendar (and other PIM data) synchronization program

Group:          Applications/Communications
License:        GPLv2+
URL:            http://www.opensync.org
# obtained via svn with
# svn co -r 384 http://svn.opensync.org/multisync/branches/multisync-gui-0.2X/ \
# multisync-gui
Source0:        %{name}-gui-svn384.tar.bz2
Source1:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libopensync-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  desktop-file-utils

Provides: multisync-gui = %{version}-%{release}

%description
MultiSync is a program to synchronize calendars, addressbooks and other PIM
data between programs on your computer and other computers, mobile devices,
PDAs or cell phones. It is packaged with plugins for Ximian Evolution, IrMC
mobile devices, Opie / Zaurus PDAs, SyncML, ldap and for backup.
For proper use, please install the desired plugins found in the
libopensync-plugin-* packages.

%prep
%setup -q -n multisync-gui

%build
export CFLAGS="$RPM_OPT_FLAGS" NOCOLOR=1
# both don't like smp flags so disable them for now
./configure --prefix=%{_prefix} -v --disable-rpath
%{__make}  all_debug # all_debug for better build logs


%install
rm -fr $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/multisync-gui.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root,-)
%doc COPYING
%{_bindir}/multisync-gui
%{_datadir}/multisync-gui/
%{_datadir}/pixmaps/multisync-gui/
%{_datadir}/applications/*desktop

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.91.1-0.10.svn384
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.91.1-0.9.svn384
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.91.1-0.8.svn384
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.91.1-0.7.svn384
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.91.1-0.6.svn384
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.91.1-0.5.svn384
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.91.1-0.4.svn384
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.91.1-0.3.svn384
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May  6 2009 Ville Skyttä <ville.skytta at iki.fi> - 0.91.1-0.2.svn384
- Build with $RPM_OPT_FLAGS, output more useful build logs.

* Sat Feb 07 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.91.1-0.1.svn384
- fix #430406

* Wed May 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.91.0-5
- fix license tag

* Sun Jan 27 2008 Michel Salim <michel.sylvan@gmail.com> - 0.91.0-4
- Rebuild for new libopensync

* Sat Jan 05 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.91.0-3
- fix #249530

* Wed Apr 25 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.91.0-2
- upgrade msynctool

* Wed Dec 20 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.91.0-1
- version upgrade

* Fri Oct 20 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.90.19-1
- version upgrade
- should fix #187288,#187319,#196412

* Fri Sep 15 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.90.18-6
- FE6 rebuild
- fix BR

* Fri Mar 17 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.90.18-5
- fix #185631

* Wed Mar 01 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.90.18-4
- fix segfaulting binary
- diff against svn151
- code a little bit for sanity

* Fri Feb 17 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.90.18-3
- Add missing desktop file
- Add BR for evolution2 plugin so gui will detect this correctly

* Sat Dec 31 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.90.18-2
- add BR libgnomeui-devel
- comment on missing smp flags

* Tue Nov 29 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.90.18-1
- user newer version from opensync project
- split gui and cmd line tool

* Thu Aug 11 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.82-4
- remove devel package altogether
- change Requires

0.82-3
- fedorarized
- install plugins in a more compact way
- add devel package

* Tue Nov 23 2004 Che
- initial rpm release
- decided to not split it for sanity reasons.
- thanks to streeter for the patches. (cheers to rh)
